Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026723
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2014-05-28 18:442014-10-01 16:46
ReportercaristuView Statuspublic 
Assigned Toshankarb 
PriorityimmediateResolutionfixedFixed in Version3.0PR14Q3
StatusclosedFix in branchFixed in SCM revision9cae3dd75063
ProjectionnoneETAnoneTarget Version3.0PR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0MP28SCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2013-09-11
Regression introduced in release3.0MP28
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/290c9b12a211 [^]
Triggers an Emergency PackNo
Summary

0026723: Wrong behavior when filtering by characteristics if we've previously filtered by another criteria

DescriptionWrong behavior when filtering by characteristics if we've previously filtered by another criteria: the filter is not correct and it is not possible to remove the criteria by clicking on the funnel.
Steps To ReproduceIn the [Product] window:
1) Create a product with characteristics
2) Filter the window by search-key
3) Without removing the previous criteria, filter also by a characteristic
4) Notice that the button of the characteristic filter must be clicked twice because of a javascript error
5) Notice that the filter results are wrong and that is not possible to remove the characteristic criteria
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0067668)
hgbot (developer)
2014-06-02 14:19

Repository: erp/devel/pi
Changeset: bae4080093797013d9d09bc513c183016cfdd3dc
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Mon Jun 02 17:38:18 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/bae4080093797013d9d09bc513c183016cfdd3dc [^]

Related to Issue 0026723 : Clears javascript console error

transformData is called only when the target contains the method.

---
M modules/org.openbravo.userinterface.smartclient/web/org.openbravo.userinterface.smartclient/js/ob-smartclient.js
---
(0067669)
hgbot (developer)
2014-06-02 14:19

Repository: erp/devel/pi
Changeset: 9cae3dd75063c19dac142a8a93ab46003a0d11fb
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Mon Jun 02 17:40:04 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/9cae3dd75063c19dac142a8a93ab46003a0d11fb [^]

Fixes Issue 26723: Force server fetch when filtering characteristics fields.

Cleared allRows along with localData to force fetch from server
whenever product characteristic filter data is changed.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-characteristics.js
---
(0067670)
shankarb (developer)
2014-06-02 14:21

Reopened to updated regression fields.
(0067727)
AugustoMauch (developer)
2014-06-03 18:03

Code reviewed and verified in pi@9e9cdee21888
(0067862)
hudsonbot (developer)
2014-06-10 22:23

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/763f16c2ad2e [^]
Maturity status: Test
(0067863)
hudsonbot (developer)
2014-06-10 22:23

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/763f16c2ad2e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-05-28 18:44 caristu New Issue
2014-05-28 18:44 caristu Assigned To => AugustoMauch
2014-05-28 18:44 caristu Modules => Core
2014-05-28 18:44 caristu Triggers an Emergency Pack => No
2014-05-28 18:44 caristu Issue Monitored: networkb
2014-05-28 18:44 caristu Steps to Reproduce Updated View Revisions
2014-05-28 18:45 caristu version => pi
2014-05-28 18:45 caristu Target Version => PR14Q3
2014-05-29 10:19 caristu Regression level => Production - Confirmed Stable
2014-05-29 10:19 caristu Priority urgent => immediate
2014-05-29 10:19 caristu Severity major => minor
2014-05-29 10:19 caristu version pi => 3.0MP28
2014-05-29 11:47 shankarb Assigned To AugustoMauch => shankarb
2014-06-02 13:51 shankarb Status new => scheduled
2014-06-02 13:51 shankarb fix_in_branch => pi
2014-06-02 14:11 shankarb Review Assigned To => AugustoMauch
2014-06-02 14:11 shankarb fix_in_branch pi =>
2014-06-02 14:11 shankarb Issue Monitored: AugustoMauch
2014-06-02 14:19 hgbot Checkin
2014-06-02 14:19 hgbot Note Added: 0067668
2014-06-02 14:19 hgbot Checkin
2014-06-02 14:19 hgbot Note Added: 0067669
2014-06-02 14:19 hgbot Status scheduled => resolved
2014-06-02 14:19 hgbot Resolution open => fixed
2014-06-02 14:19 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9cae3dd75063c19dac142a8a93ab46003a0d11fb [^]
2014-06-02 14:21 shankarb Note Added: 0067670
2014-06-02 14:21 shankarb Status resolved => new
2014-06-02 14:21 shankarb Resolution fixed => open
2014-06-02 14:21 shankarb Regression date => 2013-09-11
2014-06-02 14:21 shankarb Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/290c9b12a211 [^]
2014-06-02 14:22 shankarb Status new => scheduled
2014-06-02 14:22 shankarb fix_in_branch => pi
2014-06-02 14:22 shankarb Status scheduled => resolved
2014-06-02 14:22 shankarb Resolution open => fixed
2014-06-03 18:03 AugustoMauch Note Added: 0067727
2014-06-03 18:03 AugustoMauch Status resolved => closed
2014-06-03 18:03 AugustoMauch Fixed in Version => PR14Q3
2014-06-10 22:23 hudsonbot Checkin
2014-06-10 22:23 hudsonbot Note Added: 0067862
2014-06-10 22:23 hudsonbot Checkin
2014-06-10 22:23 hudsonbot Note Added: 0067863
2014-10-01 16:46 plujan Regression introduced in release => 3.0MP28
2014-10-01 16:46 plujan fix_in_branch pi =>


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker